Uploaded image for project: 'Hibernate Search'
  1. HSEARCH-2205

Upgrade to Elasticsearch 2.3.1: Java9 compatibility and Lucene aligned to 5.5

    Details

      Description

      We don't technically need Elasticsearch to align the Lucene version with our version, but being able to run the integration tests optionally on Java9 is a nice step forward.

      Java 9 doesn't allow access to the buffer cleanup methods used by the MMapDirectory; this version of Lucene correctly detects the problem and automatically switches to a lesser performing Directory implementation. The MMapDirectory works fine with Java9 since Lucene 6+ again.

        Attachments

          Activity

            People

            • Assignee:
              sanne Sanne Grinovero
              Reporter:
              sanne Sanne Grinovero
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: